function init()
	titleFade = 0
	titleTimer = 0

	titleFade = 1
	titleTimer = 3

end

function draw()
	if GetBool("game.map.enabled") then
		if titleTimer > 0.1 then titleTimer = 0.1 end		
	end

	if titleFade > 0 then
		if titleTimer > 0 then
			titleTimer = titleTimer - GetTimeStep()
			if titleTimer <= 0 then
				SetValue("titleFade", 0, "easein", 0.3)
			end
		end
		UiPush()
			UiTranslate(0, -(1-titleFade)*140)
			UiColor(0,0,0,0.7*titleFade)
			UiRect(UiWidth(), 140)
			UiFont("bold.ttf", 64)
			UiTranslate(UiCenter(), 70)
			UiAlign("center middle")
			UiScale(1.5)
			UiColor(1,1,1, titleFade)
			UiText(GetString("map.title"))
		UiPop()
	end

end
